<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ExplosivesBase.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/d0a/_explosives_base_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ExplosivesBase.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d0/d0a/_explosives_base_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../dd/dd2/class_explosive_light.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../dd/dd2/class_explosive_light.html">ExplosiveLight</a> : <a class="code hl_class" href="../../d8/dbb/class_point_light_base.html">PointLightBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../dd/dd2/class_explosive_light.html#a03e5ac73037ff8ebf13b7ff0ab66ba9f">    3</a></span>    <span class="keyword">protected</span> <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../dd/dd2/class_explosive_light.html#a03e5ac73037ff8ebf13b7ff0ab66ba9f">m_DefaultBrightness</a>  = 10;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../dd/dd2/class_explosive_light.html#a7c759c0f94a2bd2f60ef509b7ef3e343">    4</a></span>    <span class="keyword">protected</span> <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../dd/dd2/class_explosive_light.html#a7c759c0f94a2bd2f60ef509b7ef3e343">m_DefaultRadius</a>      = 30;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../dd/dd2/class_explosive_light.html#a6e53612154790cdac5e09b3406538072">    6</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/dd2/class_explosive_light.html#a6e53612154790cdac5e09b3406538072">ExplosiveLight</a>()</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    {</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        SetVisibleDuringDaylight(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        SetRadiusTo(<a class="code hl_variable" href="../../dd/dd2/class_explosive_light.html#a7c759c0f94a2bd2f60ef509b7ef3e343">m_DefaultRadius</a>);</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        SetBrightnessTo(<a class="code hl_variable" href="../../dd/dd2/class_explosive_light.html#a03e5ac73037ff8ebf13b7ff0ab66ba9f">m_DefaultBrightness</a>);</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        SetFlareVisible(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        SetAmbientColor(1.0, 1.0, 0.3);</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        SetDiffuseColor(1.0, 1.0, 0.3);</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a23d8ba12dd30e4965f0297e97fb3ee8c">SetLifetime</a>(0.15);</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        SetDisableShadowsWithinRadius(-1);</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    }   </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>}</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span><span class="keyword">class </span><a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#aee93f0aec8cce6897cf2da6281a3d9ee">ExplosivesBase</a> : <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>{</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#a0dc14806cb7cf3d4fd8d0ea81c20645e">   21</a></span>    <span class="keyword">protected</span> <span class="keyword">const</span> <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#a0dc14806cb7cf3d4fd8d0ea81c20645e">DEFAULT_AMMO_TYPE</a>        = <span class="stringliteral">&quot;Explosion_NonLethal&quot;</span>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#a83b2a91afa613a32845eae5ba2978005">   22</a></span>    <span class="keyword">protected</span> <span class="keyword">const</span> <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#a83b2a91afa613a32845eae5ba2978005">ANIM_PHASE_VISIBILITY</a>    = <span class="stringliteral">&quot;Visibility&quot;</span>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span> </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#a79f3881b15373dc26faa65379a436bea">   24</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span>              <a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#a79f3881b15373dc26faa65379a436bea">m_Armed</a>;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#ac6224dc9c9d793a44671703cd9cabc71">   25</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span>              <a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#ac6224dc9c9d793a44671703cd9cabc71">m_Defused</a>;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#affcd9985ab3debe1cc9fd70a4fc45c1a">   26</a></span>    <span class="keyword">protected</span> ref <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a>     <a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#affcd9985ab3debe1cc9fd70a4fc45c1a">m_AmmoTypes</a>;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#a6b4fcef28c02b7789fd5beed146e1f05">   28</a></span>    <span class="keyword">protected</span> ref Timer         <a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#a6b4fcef28c02b7789fd5beed146e1f05">m_DeleteTimer</a>;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#a3dd67a49e775dde8a49cccc527ec979e">   31</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../dd/dd2/class_explosive_light.html">ExplosiveLight</a>    <a class="code hl_variable" href="../../de/d7a/class_item_base.html#af1d3f022a83188c964326389ce0d306e">m_Light</a>;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#a73538adfe7efc7aa5bde8d0e7e9b0803">   34</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../de/d85/class_particle.html">Particle</a>                  <a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#a73538adfe7efc7aa5bde8d0e7e9b0803">m_ParticleExplosion</a>;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#abbcc0caede430f339f36a6d0b915fc73">   35</a></span>    <span class="keyword">protected</span> ref <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ParticleSource&gt;</a> <a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#abbcc0caede430f339f36a6d0b915fc73">m_ParticleExplosionArr</a> = {};</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#aa71734ca4c5420a9c16d9f2ccbbb00b4">   36</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span>                       <a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#aa71734ca4c5420a9c16d9f2ccbbb00b4">m_ParticleExplosionId</a>;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#a3ce133a7da08fe405136f0b51de3f00f">   37</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>                    <a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#a3ce133a7da08fe405136f0b51de3f00f">m_ParticlePosition</a>;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#ae336d37a1107da43a544d4c3ea56a096">   38</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>                    <a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#ae336d37a1107da43a544d4c3ea56a096">m_ParticleOrientation</a>;</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#a72d3eb960ea0bd58897306425633cf4d">   40</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#a72d3eb960ea0bd58897306425633cf4d">IsExplosive</a>()</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    {</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    }</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#a0fcd8344befc84c66f6d91bbb4d0c78f">   45</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a0fcd8344befc84c66f6d91bbb4d0c78f">OnExplosionEffects</a>(<a class="code hl_class" href="../../d8/d83/class_object.html">Object</a> source, <a class="code hl_class" href="../../d8/d83/class_object.html">Object</a> directHit, <span class="keywordtype">int</span> componentIndex, <span class="keywordtype">string</span> surface, <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> pos, <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> surfNormal, <span class="keywordtype">float</span> energyFactor, <span class="keywordtype">float</span> explosionFactor, <span class="keywordtype">bool</span> isWater, <span class="keywordtype">string</span> ammoType)</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    {</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        super.OnExplosionEffects(source, directHit, componentIndex, surface, pos, surfNormal, energyFactor, explosionFactor, isWater, ammoType);</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span> </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#aa71734ca4c5420a9c16d9f2ccbbb00b4">m_ParticleExplosionId</a> &gt; <a class="code hl_class" href="../../dd/dd2/class_particle_list.html">ParticleList</a>.<a class="code hl_variable" href="../../dd/dd2/class_particle_list.html#aae5be0673ab37de22de1890c98418d21">INVALID</a>)</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        {</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>            <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent = <span class="keyword">this</span>;</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>            <span class="keywordflow">if</span> (<a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a0f26f3c0dabe69e8968903d31cf3638b">GetHierarchyParent</a>())</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>            {</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>                parent = <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a0f26f3c0dabe69e8968903d31cf3638b">GetHierarchyParent</a>();</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>            }</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span> </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>            <a class="code hl_class" href="../../de/d38/class_particle_source.html">ParticleSource</a> p = <a class="code hl_function" href="../../d8/d6f/_particle_manager_8c.html#a93ef360e8fc315d276eb8cc256dc3ef8">ParticleManager</a>.GetInstance().PlayOnObject(<a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#aa71734ca4c5420a9c16d9f2ccbbb00b4">m_ParticleExplosionId</a>, parent, <a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#a3ce133a7da08fe405136f0b51de3f00f">m_ParticlePosition</a>, <a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#ae336d37a1107da43a544d4c3ea56a096">m_ParticleOrientation</a>);</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>            <a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#abbcc0caede430f339f36a6d0b915fc73">m_ParticleExplosionArr</a>.Insert(p);</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>            <a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#a73538adfe7efc7aa5bde8d0e7e9b0803">m_ParticleExplosion</a> = p;</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        }</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span> </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#abd9c7ec47e426c5dc398c4699db38936">CreateLight</a>();</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    }</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span> </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#a83a1e547e0d1e65ad421070058a093a9">   65</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#a3151bf358d3f46c4dee788cae9f15c94">EEDelete</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent)</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    {</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        super.EEDelete(parent);</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#a73538adfe7efc7aa5bde8d0e7e9b0803">m_ParticleExplosion</a>)</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        {</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>            <span class="keywordflow">foreach</span> (<a class="code hl_class" href="../../de/d38/class_particle_source.html">ParticleSource</a> p : <a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#abbcc0caede430f339f36a6d0b915fc73">m_ParticleExplosionArr</a>)</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>            {</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>                <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#aac3ee12e85dc33aede84a0e842836515">DestroyParticle</a>(p);</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>            }</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        }</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    }</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#a4de4d414d0cbf15100ab71ec84ca25f7">   78</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a4de4d414d0cbf15100ab71ec84ca25f7">EEKilled</a>(<a class="code hl_class" href="../../d8/d83/class_object.html">Object</a> killer)</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    {</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        super.EEKilled(killer);</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span> </div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#a7a643b860d7e72a81b4174709e092069">InitiateExplosion</a>();</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    }</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#abd9c7ec47e426c5dc398c4699db38936">   86</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#abd9c7ec47e426c5dc398c4699db38936">CreateLight</a>()</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    {</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        <a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#a3dd67a49e775dde8a49cccc527ec979e">m_Light</a> = <a class="code hl_class" href="../../dd/dd2/class_explosive_light.html">ExplosiveLight</a>.Cast(<a class="code hl_class" href="../../dd/d33/class_scripted_light_base.html">ScriptedLightBase</a>.CreateLight(<a class="code hl_class" href="../../dd/dd2/class_explosive_light.html">ExplosiveLight</a>, <a class="code hl_function" href="../../d5/d2d/_effect_8c.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>()));</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    }</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    </div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#aac3ee12e85dc33aede84a0e842836515">   91</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#aac3ee12e85dc33aede84a0e842836515">DestroyParticle</a>(<a class="code hl_class" href="../../de/d85/class_particle.html">Particle</a> p)</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    {</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span><span class="preprocessor">        #ifndef SERVER</span></div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        <span class="keywordflow">if</span> (p != null)</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        {</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>            p.<a class="code hl_function" href="../../de/d85/class_particle.html#ae9d5642dc992c942c1ae2f221e064921">Stop</a>();</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        }</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    }</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>    </div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#a7a643b860d7e72a81b4174709e092069">  101</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#a7a643b860d7e72a81b4174709e092069">InitiateExplosion</a>()</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>    {</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        <span class="keywordtype">int</span> count = <a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#affcd9985ab3debe1cc9fd70a4fc45c1a">m_AmmoTypes</a>.Count();</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; count; i++)</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        {</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>            <a class="code hl_function" href="../../dd/d93/_object_8c.html#af4fc84b305ef86ab13cbc5af1d63ead7">Explode</a>(<a class="code hl_enumeration" href="../../de/dba/_damage_system_8c.html#afce48e0416f4e1a1a8c79629bbbf602d">DamageType</a>.EXPLOSION, <a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#affcd9985ab3debe1cc9fd70a4fc45c1a">m_AmmoTypes</a>[i]);</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        }</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span> </div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#a8b41f84db8cb6cc9c4d8a33e49e5419e">OnExplode</a>();</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>    }</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span> </div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#a8b41f84db8cb6cc9c4d8a33e49e5419e">  112</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#a8b41f84db8cb6cc9c4d8a33e49e5419e">OnExplode</a>()</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    {</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer())</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        {</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>            <a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#a6b4fcef28c02b7789fd5beed146e1f05">m_DeleteTimer</a>.Run(0.25, <span class="keyword">this</span>, <span class="stringliteral">&quot;DeleteSafe&quot;</span>);</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        }</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>    }</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>    </div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#afa39b7c4d3d085ef8514a87c32b81a4d">  120</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#a45bcceec0acd0ccdc9d6afd42d4e839a">SetActions</a>()</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>    {</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        super.SetActions();</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span> </div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_function" href="../../d4/dd1/_action_attach_8c.html#a160ebb3b520d6eb3dd1fbbdb362cc951">ActionAttach</a>);</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_function" href="../../df/d5d/_action_detach_8c.html#a0d029c8f8d01c63cca13a523faf40996">ActionDetach</a>);</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>    }</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>    </div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#a074d6a8b3ce6d5ed5aebdf1d6efb4952">  128</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#a4070e7380135bad26125b5faf2928ae9">IsInventoryVisible</a>()</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    {</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>        <span class="keywordflow">if</span> (!super.IsInventoryVisible())</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>        {</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>        }</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>        </div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>        <span class="keywordflow">return</span> GetAnimationPhase(<span class="stringliteral">&quot;Visibility&quot;</span>) == 0;</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>    }</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>    </div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#ac04a39fa356ae48f99ac9fed3df8887d">  138</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#ac305409027fa3bf997cd284f72994962">IsTakeable</a>()</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>    {</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>        <span class="keywordflow">return</span> super.IsTakeable() &amp;&amp; GetAnimationPhase(<span class="stringliteral">&quot;Visibility&quot;</span>) == 0;</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>    }</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>    </div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#a170861d2f602b0162f1a584426fca968">  143</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#a170861d2f602b0162f1a584426fca968">IsTimerDetonable</a>()</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>    {</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>    }</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>    </div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#ac4cc6602780ad6cab3ca4b2b7852a78d">  148</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#ac4cc6602780ad6cab3ca4b2b7852a78d">Arm</a>()</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>    {</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>        <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#aadc4b640b4ca07e0f50a891953a56a0b">SetArmed</a>(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>        </div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>        <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#abbb52f06b24f0510eba95e7677ea038c">OnArmed</a>();</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>    }</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>    </div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#abbb52f06b24f0510eba95e7677ea038c">  155</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#abbb52f06b24f0510eba95e7677ea038c">OnArmed</a>();</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>    </div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#afaaadcd5d0be9d20aa9ef99bde269859">  157</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#afaaadcd5d0be9d20aa9ef99bde269859">CanBeArmed</a>()</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>    {</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>    }</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>    </div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#a0c6b2b4e0c25672818ec334633d6de22">  162</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/dbc/_clock_base_8c.html#a590466f4f39d421f11fa089e1a03074c">Disarm</a>(<span class="keywordtype">bool</span> pWithTool = <span class="keyword">false</span>)</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>    {</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>        <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#aadc4b640b4ca07e0f50a891953a56a0b">SetArmed</a>(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>        </div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>        <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#a8de69478a0677945fc647a90c11e6b8c">OnDisarmed</a>(pWithTool);</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>    }</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>    </div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#a8de69478a0677945fc647a90c11e6b8c">  169</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#a8de69478a0677945fc647a90c11e6b8c">OnDisarmed</a>(<span class="keywordtype">bool</span> pWithTool);</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>    </div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#ad4c1c1d0634db5d6dccf2c16d618d919">  171</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#ad4c1c1d0634db5d6dccf2c16d618d919">CanBeDisarmed</a>()</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>    {</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>    }</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>    </div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#a6de1fd0cb2bdb06bab78c93bc6cd5aad">  176</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#a6de1fd0cb2bdb06bab78c93bc6cd5aad">GetArmed</a>()</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>    {</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#a79f3881b15373dc26faa65379a436bea">m_Armed</a>; </div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>    }</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span> </div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#aadc4b640b4ca07e0f50a891953a56a0b">  181</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#aadc4b640b4ca07e0f50a891953a56a0b">SetArmed</a>(<span class="keywordtype">bool</span> state)</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>    {</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>        <a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#a79f3881b15373dc26faa65379a436bea">m_Armed</a> = state;</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#ae4921a281934e14af9bab6c242049112">SetSynchDirty</a>();</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>    }</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>    </div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#a8ba8a611614b1f2598e88da15e7c4e46">  187</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#a8ba8a611614b1f2598e88da15e7c4e46">GetDefused</a>()</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>    {</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#ac6224dc9c9d793a44671703cd9cabc71">m_Defused</a>;   </div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>    }</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span> </div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#ae3244b06cbdc7e27eef684c955d5b956">  192</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#ae3244b06cbdc7e27eef684c955d5b956">SetDefused</a>(<span class="keywordtype">bool</span> state)</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>    {</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>        <a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#ac6224dc9c9d793a44671703cd9cabc71">m_Defused</a> = state;</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#ae4921a281934e14af9bab6c242049112">SetSynchDirty</a>();</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>    }</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>    </div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#ad3e094cf68f7de47f9770099d995a4bb">  198</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#ad3e094cf68f7de47f9770099d995a4bb">SetAmmoType</a>(<span class="keywordtype">string</span> pAmmoType)</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>    {</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>        <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#a71dc4670d763df3fdec410861a4f271e">SetAmmoTypes</a>({pAmmoType});</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>    }</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>    </div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#a71dc4670d763df3fdec410861a4f271e">  203</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#a71dc4670d763df3fdec410861a4f271e">SetAmmoTypes</a>(<a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a> pAmmoTypes)</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>    {</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>        <a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#affcd9985ab3debe1cc9fd70a4fc45c1a">m_AmmoTypes</a>.Clear();</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>        <a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#affcd9985ab3debe1cc9fd70a4fc45c1a">m_AmmoTypes</a> = pAmmoTypes;</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>    }</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>    </div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#a7c2b945ed7403ef829ab89abfddb8714">  209</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#a7c2b945ed7403ef829ab89abfddb8714">SetParticleExplosion</a>(<span class="keywordtype">int</span> particle)</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>    {</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>        <a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#aa71734ca4c5420a9c16d9f2ccbbb00b4">m_ParticleExplosionId</a> = particle;</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>    }</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span> </div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#a85013e65277dff99abed3680cd927d5d">  215</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#a85013e65277dff99abed3680cd927d5d">SetParticlePosition</a>(<a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> local_pos)</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>    {</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>        <a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#a3ce133a7da08fe405136f0b51de3f00f">m_ParticlePosition</a> = local_pos;</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span> </div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a0f26f3c0dabe69e8968903d31cf3638b">GetHierarchyParent</a>())</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>        {</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>            <a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#a3ce133a7da08fe405136f0b51de3f00f">m_ParticlePosition</a> = <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a0f26f3c0dabe69e8968903d31cf3638b">GetHierarchyParent</a>().WorldToModel(<a class="code hl_function" href="../../d5/d2d/_effect_8c.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>());</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>        }</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>    }</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>    </div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#adca2e1c9ecee73cae0822360aac528fb">  225</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#adca2e1c9ecee73cae0822360aac528fb">SetParticleOrientation</a>(<a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> local_ori)</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>    {</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span>        <a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#ae336d37a1107da43a544d4c3ea56a096">m_ParticleOrientation</a> = local_ori;</div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span> </div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a0f26f3c0dabe69e8968903d31cf3638b">GetHierarchyParent</a>())</div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span>        {</div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>            <a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#ae336d37a1107da43a544d4c3ea56a096">m_ParticleOrientation</a> = <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a0f26f3c0dabe69e8968903d31cf3638b">GetHierarchyParent</a>().WorldToModel(<a class="code hl_function" href="../../dd/d93/_object_8c.html#a25741202afb6807f192843d19acb37a4">GetOrientation</a>());</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>        }</div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span>    }</div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span>    </div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#a35a85dbb8d86badfdee250107b15e803">  235</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#a81752d025fb86c6548b94c66f80a74ad">OnStoreSave</a>(<a class="code hl_class" href="../../d0/dc2/class_serializer.html">ParamsWriteContext</a> ctx)</div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span>    {</div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span>        super.OnStoreSave(ctx);</div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span>        </div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span>        ctx.<a class="code hl_function" href="../../d0/dc2/class_serializer.html#a3568bd9439217225013ea9906eb09a3f">Write</a>(<a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#a79f3881b15373dc26faa65379a436bea">m_Armed</a>);</div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span>    }</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span>    </div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#ab311cdf3df0e3547b7d3cd810e61ca61">  242</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#a21e8ac0826ce4d40c6d511b0abc673a2">OnStoreLoad</a>(<a class="code hl_class" href="../../d0/dc2/class_serializer.html">ParamsReadContext</a> ctx, <span class="keywordtype">int</span> version)</div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span>    {</div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>        <span class="keywordflow">if</span> (!super.OnStoreLoad(ctx, version))</div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span> </div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span>        <span class="keywordflow">if</span> (version &gt; 129)</div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span>        {       </div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span>            <span class="keywordtype">bool</span> armed = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span>            <span class="keywordflow">if</span> (!ctx.<a class="code hl_function" href="../../d0/dc2/class_serializer.html#a9a38a9c5322133ee30fe87a3a4c0659e">Read</a>(armed))</div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno">  251</span>            {</div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span>            }</div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span>        </div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span>            <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#aadc4b640b4ca07e0f50a891953a56a0b">SetArmed</a>(armed);</div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span>        }</div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span> </div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno">  258</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span>    }</div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno">  260</span>    </div>
<div class="line"><a id="l00262" name="l00262"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#a577b3d98b298dbbc06a0761271e25634">  262</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#a577b3d98b298dbbc06a0761271e25634">UpdateLED</a>(<span class="keywordtype">int</span> pState);</div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#ad92d68b9fe0fe2710f5ae8bf4c2373d4">  263</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#ad92d68b9fe0fe2710f5ae8bf4c2373d4">HasLockedTriggerSlots</a>()</div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno">  264</span>    {</div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno">  265</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span>    }</div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span> </div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#af2cc0c8d7ef52da6c14f968255fb7e2f">  268</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#af2cc0c8d7ef52da6c14f968255fb7e2f">LockTriggerSlots</a>();</div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#a865576d46bf828c2bc0f8b5a2890fb69">  269</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#a865576d46bf828c2bc0f8b5a2890fb69">UnlockTriggerSlots</a>();</div>
<div class="line"><a id="l00270" name="l00270"></a><span class="lineno">  270</span>    </div>
<div class="line"><a id="l00271" name="l00271"></a><span class="lineno"><a class="line" href="../../d0/d0a/_explosives_base_8c.html#aee93f0aec8cce6897cf2da6281a3d9ee">  271</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#aee93f0aec8cce6897cf2da6281a3d9ee">ExplosivesBase</a>()</div>
<div class="line"><a id="l00272" name="l00272"></a><span class="lineno">  272</span>    {</div>
<div class="line"><a id="l00273" name="l00273"></a><span class="lineno">  273</span>        <a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#a6b4fcef28c02b7789fd5beed146e1f05">m_DeleteTimer</a>   = <span class="keyword">new</span> Timer();</div>
<div class="line"><a id="l00274" name="l00274"></a><span class="lineno">  274</span>        <a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#affcd9985ab3debe1cc9fd70a4fc45c1a">m_AmmoTypes</a>     = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a>();</div>
<div class="line"><a id="l00275" name="l00275"></a><span class="lineno">  275</span> </div>
<div class="line"><a id="l00276" name="l00276"></a><span class="lineno">  276</span>        <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#ad3e094cf68f7de47f9770099d995a4bb">SetAmmoType</a>(<a class="code hl_variable" href="../../d0/d0a/_explosives_base_8c.html#a0dc14806cb7cf3d4fd8d0ea81c20645e">DEFAULT_AMMO_TYPE</a>);     </div>
<div class="line"><a id="l00277" name="l00277"></a><span class="lineno">  277</span>        <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#a7c2b945ed7403ef829ab89abfddb8714">SetParticleExplosion</a>(<a class="code hl_class" href="../../dd/dd2/class_particle_list.html">ParticleList</a>.<a class="code hl_variable" href="../../dd/dd2/class_particle_list.html#aae5be0673ab37de22de1890c98418d21">INVALID</a>); </div>
<div class="line"><a id="l00278" name="l00278"></a><span class="lineno">  278</span>        <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#a85013e65277dff99abed3680cd927d5d">SetParticlePosition</a>(<a class="code hl_function" href="../../dd/d93/_object_8c.html#a354ad5ef5e591ba1a02de38423f75912">WorldToModel</a>(<a class="code hl_function" href="../../d5/d2d/_effect_8c.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>()));</div>
<div class="line"><a id="l00279" name="l00279"></a><span class="lineno">  279</span>        <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#adca2e1c9ecee73cae0822360aac528fb">SetParticleOrientation</a>(<a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>.<a class="code hl_variable" href="../../d7/dfc/classvector.html#a6f6d5246e38b34f79fa2741a7e72d7e7">Zero</a>);</div>
<div class="line"><a id="l00280" name="l00280"></a><span class="lineno">  280</span>        </div>
<div class="line"><a id="l00281" name="l00281"></a><span class="lineno">  281</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#afb6510561e4a0b604c0e34b3a726945f">RegisterNetSyncVariableBool</a>(<span class="stringliteral">&quot;m_Armed&quot;</span>);</div>
<div class="line"><a id="l00282" name="l00282"></a><span class="lineno">  282</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#afb6510561e4a0b604c0e34b3a726945f">RegisterNetSyncVariableBool</a>(<span class="stringliteral">&quot;m_Defused&quot;</span>);</div>
<div class="line"><a id="l00283" name="l00283"></a><span class="lineno">  283</span>    }</div>
<div class="line"><a id="l00284" name="l00284"></a><span class="lineno">  284</span>}</div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_a0f26f3c0dabe69e8968903d31cf3638b"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a0f26f3c0dabe69e8968903d31cf3638b">GetHierarchyParent</a></div><div class="ttdeci">proto native EntityAI GetHierarchyParent()</div><div class="ttdoc">Returns direct parent of current entity.</div></div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_a0fcd8344befc84c66f6d91bbb4d0c78f"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a0fcd8344befc84c66f6d91bbb4d0c78f">OnExplosionEffects</a></div><div class="ttdeci">override void OnExplosionEffects(Object source, Object directHit, int componentIndex, string surface, vector pos, vector surfNormal, float energyFactor, float explosionFactor, bool isWater, string ammoType)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c_source.html#l00725">EntityAI.c:725</a></div></div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_a23d8ba12dd30e4965f0297e97fb3ee8c"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a23d8ba12dd30e4965f0297e97fb3ee8c">SetLifetime</a></div><div class="ttdeci">proto native void SetLifetime(float fLifeTime)</div><div class="ttdoc">Set (override) remaining economy lifetime (seconds)</div></div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_a4de4d414d0cbf15100ab71ec84ca25f7"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a4de4d414d0cbf15100ab71ec84ca25f7">EEKilled</a></div><div class="ttdeci">void EEKilled(Object killer)</div><div class="ttdoc">called on server when the entity is killed</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c_source.html#l00837">EntityAI.c:837</a></div></div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_ae4921a281934e14af9bab6c242049112"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#ae4921a281934e14af9bab6c242049112">SetSynchDirty</a></div><div class="ttdeci">proto native void SetSynchDirty()</div><div class="ttdoc">Sets object synchronization dirty flag, which signalize that object wants to be synchronized (take ef...</div></div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_afb6510561e4a0b604c0e34b3a726945f"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#afb6510561e4a0b604c0e34b3a726945f">RegisterNetSyncVariableBool</a></div><div class="ttdeci">proto native void RegisterNetSyncVariableBool(string variableName)</div></div>
<div class="ttc" id="a_action_attach_8c_html_a160ebb3b520d6eb3dd1fbbdb362cc951"><div class="ttname"><a href="../../d4/dd1/_action_attach_8c.html#a160ebb3b520d6eb3dd1fbbdb362cc951">ActionAttach</a></div><div class="ttdeci">AttachActionData ActionData ActionAttach()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd1/_action_attach_8c_source.html#l00001">ActionAttach.c:9</a></div></div>
<div class="ttc" id="a_action_detach_8c_html_a0d029c8f8d01c63cca13a523faf40996"><div class="ttname"><a href="../../df/d5d/_action_detach_8c.html#a0d029c8f8d01c63cca13a523faf40996">ActionDetach</a></div><div class="ttdeci">void ActionDetach()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d5d/_action_detach_8c_source.html#l00010">ActionDetach.c:10</a></div></div>
<div class="ttc" id="a_advanced_communication_8c_html_a033d077df58807906c4dad3101d8768c"><div class="ttname"><a href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a></div><div class="ttdeci">void AddAction(typename actionName)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dfd/_advanced_communication_8c_source.html#l00219">AdvancedCommunication.c:219</a></div></div>
<div class="ttc" id="a_clock_base_8c_html_a590466f4f39d421f11fa089e1a03074c"><div class="ttname"><a href="../../d9/dbc/_clock_base_8c.html#a590466f4f39d421f11fa089e1a03074c">Disarm</a></div><div class="ttdeci">protected void Disarm()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dbc/_clock_base_8c_source.html#l00198">ClockBase.c:198</a></div></div>
<div class="ttc" id="a_damage_system_8c_html_afce48e0416f4e1a1a8c79629bbbf602d"><div class="ttname"><a href="../../de/dba/_damage_system_8c.html#afce48e0416f4e1a1a8c79629bbbf602d">DamageType</a></div><div class="ttdeci">DamageType</div><div class="ttdoc">exposed from C++ (do not change)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dba/_damage_system_8c_source.html#l00010">DamageSystem.c:11</a></div></div>
<div class="ttc" id="a_effect_8c_html_a68c83d319275347dcd1c0c4da8734703"><div class="ttname"><a href="../../d5/d2d/_effect_8c.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a></div><div class="ttdeci">vector GetPosition()</div><div class="ttdoc">Get the world position of the Effect.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2d/_effect_8c_source.html#l00437">Effect.c:437</a></div></div>
<div class="ttc" id="a_explosives_base_8c_html_a0dc14806cb7cf3d4fd8d0ea81c20645e"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#a0dc14806cb7cf3d4fd8d0ea81c20645e">DEFAULT_AMMO_TYPE</a></div><div class="ttdeci">ExplosiveLight DEFAULT_AMMO_TYPE</div></div>
<div class="ttc" id="a_explosives_base_8c_html_a170861d2f602b0162f1a584426fca968"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#a170861d2f602b0162f1a584426fca968">IsTimerDetonable</a></div><div class="ttdeci">bool IsTimerDetonable()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00143">ExplosivesBase.c:143</a></div></div>
<div class="ttc" id="a_explosives_base_8c_html_a3ce133a7da08fe405136f0b51de3f00f"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#a3ce133a7da08fe405136f0b51de3f00f">m_ParticlePosition</a></div><div class="ttdeci">protected vector m_ParticlePosition</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00037">ExplosivesBase.c:37</a></div></div>
<div class="ttc" id="a_explosives_base_8c_html_a3dd67a49e775dde8a49cccc527ec979e"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#a3dd67a49e775dde8a49cccc527ec979e">m_Light</a></div><div class="ttdeci">protected ExplosiveLight m_Light</div><div class="ttdoc">light</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00031">ExplosivesBase.c:31</a></div></div>
<div class="ttc" id="a_explosives_base_8c_html_a577b3d98b298dbbc06a0761271e25634"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#a577b3d98b298dbbc06a0761271e25634">UpdateLED</a></div><div class="ttdeci">void UpdateLED(int pState)</div><div class="ttdoc">HELPERS.</div></div>
<div class="ttc" id="a_explosives_base_8c_html_a6b4fcef28c02b7789fd5beed146e1f05"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#a6b4fcef28c02b7789fd5beed146e1f05">m_DeleteTimer</a></div><div class="ttdeci">protected ref Timer m_DeleteTimer</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00028">ExplosivesBase.c:28</a></div></div>
<div class="ttc" id="a_explosives_base_8c_html_a6de1fd0cb2bdb06bab78c93bc6cd5aad"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#a6de1fd0cb2bdb06bab78c93bc6cd5aad">GetArmed</a></div><div class="ttdeci">bool GetArmed()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00176">ExplosivesBase.c:176</a></div></div>
<div class="ttc" id="a_explosives_base_8c_html_a71dc4670d763df3fdec410861a4f271e"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#a71dc4670d763df3fdec410861a4f271e">SetAmmoTypes</a></div><div class="ttdeci">void SetAmmoTypes(array&lt; string &gt; pAmmoTypes)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00203">ExplosivesBase.c:203</a></div></div>
<div class="ttc" id="a_explosives_base_8c_html_a72d3eb960ea0bd58897306425633cf4d"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#a72d3eb960ea0bd58897306425633cf4d">IsExplosive</a></div><div class="ttdeci">override bool IsExplosive()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00040">ExplosivesBase.c:40</a></div></div>
<div class="ttc" id="a_explosives_base_8c_html_a73538adfe7efc7aa5bde8d0e7e9b0803"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#a73538adfe7efc7aa5bde8d0e7e9b0803">m_ParticleExplosion</a></div><div class="ttdeci">protected Particle m_ParticleExplosion</div><div class="ttdoc">particle</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00034">ExplosivesBase.c:34</a></div></div>
<div class="ttc" id="a_explosives_base_8c_html_a79f3881b15373dc26faa65379a436bea"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#a79f3881b15373dc26faa65379a436bea">m_Armed</a></div><div class="ttdeci">protected bool m_Armed</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00024">ExplosivesBase.c:24</a></div></div>
<div class="ttc" id="a_explosives_base_8c_html_a7a643b860d7e72a81b4174709e092069"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#a7a643b860d7e72a81b4174709e092069">InitiateExplosion</a></div><div class="ttdeci">protected void InitiateExplosion()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00101">ExplosivesBase.c:101</a></div></div>
<div class="ttc" id="a_explosives_base_8c_html_a7c2b945ed7403ef829ab89abfddb8714"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#a7c2b945ed7403ef829ab89abfddb8714">SetParticleExplosion</a></div><div class="ttdeci">void SetParticleExplosion(int particle)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00209">ExplosivesBase.c:209</a></div></div>
<div class="ttc" id="a_explosives_base_8c_html_a83b2a91afa613a32845eae5ba2978005"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#a83b2a91afa613a32845eae5ba2978005">ANIM_PHASE_VISIBILITY</a></div><div class="ttdeci">protected const string ANIM_PHASE_VISIBILITY</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00022">ExplosivesBase.c:22</a></div></div>
<div class="ttc" id="a_explosives_base_8c_html_a85013e65277dff99abed3680cd927d5d"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#a85013e65277dff99abed3680cd927d5d">SetParticlePosition</a></div><div class="ttdeci">void SetParticlePosition(vector local_pos)</div><div class="ttdoc">set position for smoke particle - needs to be in Local Space</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00215">ExplosivesBase.c:215</a></div></div>
<div class="ttc" id="a_explosives_base_8c_html_a865576d46bf828c2bc0f8b5a2890fb69"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#a865576d46bf828c2bc0f8b5a2890fb69">UnlockTriggerSlots</a></div><div class="ttdeci">void UnlockTriggerSlots()</div></div>
<div class="ttc" id="a_explosives_base_8c_html_a8b41f84db8cb6cc9c4d8a33e49e5419e"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#a8b41f84db8cb6cc9c4d8a33e49e5419e">OnExplode</a></div><div class="ttdeci">protected void OnExplode()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00112">ExplosivesBase.c:112</a></div></div>
<div class="ttc" id="a_explosives_base_8c_html_a8ba8a611614b1f2598e88da15e7c4e46"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#a8ba8a611614b1f2598e88da15e7c4e46">GetDefused</a></div><div class="ttdeci">bool GetDefused()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00187">ExplosivesBase.c:187</a></div></div>
<div class="ttc" id="a_explosives_base_8c_html_a8de69478a0677945fc647a90c11e6b8c"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#a8de69478a0677945fc647a90c11e6b8c">OnDisarmed</a></div><div class="ttdeci">void OnDisarmed(bool pWithTool)</div></div>
<div class="ttc" id="a_explosives_base_8c_html_aa71734ca4c5420a9c16d9f2ccbbb00b4"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#aa71734ca4c5420a9c16d9f2ccbbb00b4">m_ParticleExplosionId</a></div><div class="ttdeci">protected int m_ParticleExplosionId</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00036">ExplosivesBase.c:36</a></div></div>
<div class="ttc" id="a_explosives_base_8c_html_aac3ee12e85dc33aede84a0e842836515"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#aac3ee12e85dc33aede84a0e842836515">DestroyParticle</a></div><div class="ttdeci">protected void DestroyParticle(Particle p)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00091">ExplosivesBase.c:91</a></div></div>
<div class="ttc" id="a_explosives_base_8c_html_aadc4b640b4ca07e0f50a891953a56a0b"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#aadc4b640b4ca07e0f50a891953a56a0b">SetArmed</a></div><div class="ttdeci">protected void SetArmed(bool state)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00181">ExplosivesBase.c:181</a></div></div>
<div class="ttc" id="a_explosives_base_8c_html_abbb52f06b24f0510eba95e7677ea038c"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#abbb52f06b24f0510eba95e7677ea038c">OnArmed</a></div><div class="ttdeci">void OnArmed()</div></div>
<div class="ttc" id="a_explosives_base_8c_html_abbcc0caede430f339f36a6d0b915fc73"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#abbcc0caede430f339f36a6d0b915fc73">m_ParticleExplosionArr</a></div><div class="ttdeci">protected ref array&lt; ParticleSource &gt; m_ParticleExplosionArr</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00035">ExplosivesBase.c:35</a></div></div>
<div class="ttc" id="a_explosives_base_8c_html_abd9c7ec47e426c5dc398c4699db38936"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#abd9c7ec47e426c5dc398c4699db38936">CreateLight</a></div><div class="ttdeci">protected void CreateLight()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00086">ExplosivesBase.c:86</a></div></div>
<div class="ttc" id="a_explosives_base_8c_html_ac4cc6602780ad6cab3ca4b2b7852a78d"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#ac4cc6602780ad6cab3ca4b2b7852a78d">Arm</a></div><div class="ttdeci">void Arm()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00148">ExplosivesBase.c:148</a></div></div>
<div class="ttc" id="a_explosives_base_8c_html_ac6224dc9c9d793a44671703cd9cabc71"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#ac6224dc9c9d793a44671703cd9cabc71">m_Defused</a></div><div class="ttdeci">protected bool m_Defused</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00025">ExplosivesBase.c:25</a></div></div>
<div class="ttc" id="a_explosives_base_8c_html_ad3e094cf68f7de47f9770099d995a4bb"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#ad3e094cf68f7de47f9770099d995a4bb">SetAmmoType</a></div><div class="ttdeci">void SetAmmoType(string pAmmoType)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00198">ExplosivesBase.c:198</a></div></div>
<div class="ttc" id="a_explosives_base_8c_html_ad4c1c1d0634db5d6dccf2c16d618d919"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#ad4c1c1d0634db5d6dccf2c16d618d919">CanBeDisarmed</a></div><div class="ttdeci">bool CanBeDisarmed()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00171">ExplosivesBase.c:171</a></div></div>
<div class="ttc" id="a_explosives_base_8c_html_ad92d68b9fe0fe2710f5ae8bf4c2373d4"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#ad92d68b9fe0fe2710f5ae8bf4c2373d4">HasLockedTriggerSlots</a></div><div class="ttdeci">bool HasLockedTriggerSlots()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00263">ExplosivesBase.c:263</a></div></div>
<div class="ttc" id="a_explosives_base_8c_html_adca2e1c9ecee73cae0822360aac528fb"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#adca2e1c9ecee73cae0822360aac528fb">SetParticleOrientation</a></div><div class="ttdeci">void SetParticleOrientation(vector local_ori)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00225">ExplosivesBase.c:225</a></div></div>
<div class="ttc" id="a_explosives_base_8c_html_ae3244b06cbdc7e27eef684c955d5b956"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#ae3244b06cbdc7e27eef684c955d5b956">SetDefused</a></div><div class="ttdeci">protected void SetDefused(bool state)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00192">ExplosivesBase.c:192</a></div></div>
<div class="ttc" id="a_explosives_base_8c_html_ae336d37a1107da43a544d4c3ea56a096"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#ae336d37a1107da43a544d4c3ea56a096">m_ParticleOrientation</a></div><div class="ttdeci">protected vector m_ParticleOrientation</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00038">ExplosivesBase.c:38</a></div></div>
<div class="ttc" id="a_explosives_base_8c_html_aee93f0aec8cce6897cf2da6281a3d9ee"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#aee93f0aec8cce6897cf2da6281a3d9ee">ExplosivesBase</a></div><div class="ttdeci">void ExplosivesBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00271">ExplosivesBase.c:271</a></div></div>
<div class="ttc" id="a_explosives_base_8c_html_af2cc0c8d7ef52da6c14f968255fb7e2f"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#af2cc0c8d7ef52da6c14f968255fb7e2f">LockTriggerSlots</a></div><div class="ttdeci">void LockTriggerSlots()</div></div>
<div class="ttc" id="a_explosives_base_8c_html_afaaadcd5d0be9d20aa9ef99bde269859"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#afaaadcd5d0be9d20aa9ef99bde269859">CanBeArmed</a></div><div class="ttdeci">bool CanBeArmed()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00157">ExplosivesBase.c:157</a></div></div>
<div class="ttc" id="a_explosives_base_8c_html_affcd9985ab3debe1cc9fd70a4fc45c1a"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#affcd9985ab3debe1cc9fd70a4fc45c1a">m_AmmoTypes</a></div><div class="ttdeci">protected ref array&lt; string &gt; m_AmmoTypes</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00026">ExplosivesBase.c:26</a></div></div>
<div class="ttc" id="a_object_8c_html_a25741202afb6807f192843d19acb37a4"><div class="ttname"><a href="../../dd/d93/_object_8c.html#a25741202afb6807f192843d19acb37a4">GetOrientation</a></div><div class="ttdeci">proto native vector GetOrientation()</div><div class="ttdoc">Retrieve orientation (yaw, pitch, roll) in degrees</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbe/_area_damage_manager_8c_source.html#l00306">AreaDamageManager.c:306</a></div></div>
<div class="ttc" id="a_object_8c_html_a354ad5ef5e591ba1a02de38423f75912"><div class="ttname"><a href="../../dd/d93/_object_8c.html#a354ad5ef5e591ba1a02de38423f75912">WorldToModel</a></div><div class="ttdeci">vector WorldToModel(vector worldPos)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d93/_object_8c_source.html#l00713">Object.c:713</a></div></div>
<div class="ttc" id="a_object_8c_html_af4fc84b305ef86ab13cbc5af1d63ead7"><div class="ttname"><a href="../../dd/d93/_object_8c.html#af4fc84b305ef86ab13cbc5af1d63ead7">Explode</a></div><div class="ttdeci">void Explode(int damageType, string ammoType=&quot;&quot;)</div><div class="ttdoc">Creates an explosion on this object by its ammoType in config.</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d93/_object_8c_source.html#l00086">Object.c:86</a></div></div>
<div class="ttc" id="a_particle_manager_8c_html_a93ef360e8fc315d276eb8cc256dc3ef8"><div class="ttname"><a href="../../d8/d6f/_particle_manager_8c.html#a93ef360e8fc315d276eb8cc256dc3ef8">ParticleManager</a></div><div class="ttdeci">void ParticleManager(ParticleManagerSettings settings)</div><div class="ttdoc">Constructor (ctor)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d6f/_particle_manager_8c_source.html#l00084">ParticleManager.c:84</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_explosive_light_html"><div class="ttname"><a href="../../dd/dd2/class_explosive_light.html">ExplosiveLight</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00001">ExplosivesBase.c:2</a></div></div>
<div class="ttc" id="aclass_explosive_light_html_a03e5ac73037ff8ebf13b7ff0ab66ba9f"><div class="ttname"><a href="../../dd/dd2/class_explosive_light.html#a03e5ac73037ff8ebf13b7ff0ab66ba9f">ExplosiveLight::m_DefaultBrightness</a></div><div class="ttdeci">static protected float m_DefaultBrightness</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00003">ExplosivesBase.c:3</a></div></div>
<div class="ttc" id="aclass_explosive_light_html_a6e53612154790cdac5e09b3406538072"><div class="ttname"><a href="../../dd/dd2/class_explosive_light.html#a6e53612154790cdac5e09b3406538072">ExplosiveLight::ExplosiveLight</a></div><div class="ttdeci">void ExplosiveLight()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00006">ExplosivesBase.c:6</a></div></div>
<div class="ttc" id="aclass_explosive_light_html_a7c759c0f94a2bd2f60ef509b7ef3e343"><div class="ttname"><a href="../../dd/dd2/class_explosive_light.html#a7c759c0f94a2bd2f60ef509b7ef3e343">ExplosiveLight::m_DefaultRadius</a></div><div class="ttdeci">static protected float m_DefaultRadius</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00004">ExplosivesBase.c:4</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00516">InventoryItem.c:517</a></div></div>
<div class="ttc" id="aclass_item_base_html_a21e8ac0826ce4d40c6d511b0abc673a2"><div class="ttname"><a href="../../de/d7a/class_item_base.html#a21e8ac0826ce4d40c6d511b0abc673a2">ItemBase::OnStoreLoad</a></div><div class="ttdeci">override bool OnStoreLoad(ParamsReadContext ctx, int version)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d86/_garden_base_8c_source.html#l00142">GardenBase.c:142</a></div></div>
<div class="ttc" id="aclass_item_base_html_a3151bf358d3f46c4dee788cae9f15c94"><div class="ttname"><a href="../../de/d7a/class_item_base.html#a3151bf358d3f46c4dee788cae9f15c94">ItemBase::EEDelete</a></div><div class="ttdeci">override void EEDelete(EntityAI parent)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d81/_edible___base_8c_source.html#l00044">Edible_Base.c:44</a></div></div>
<div class="ttc" id="aclass_item_base_html_a4070e7380135bad26125b5faf2928ae9"><div class="ttname"><a href="../../de/d7a/class_item_base.html#a4070e7380135bad26125b5faf2928ae9">ItemBase::IsInventoryVisible</a></div><div class="ttdeci">override bool IsInventoryVisible()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d6c/_underground_stash_8c_source.html#l00071">UndergroundStash.c:71</a></div></div>
<div class="ttc" id="aclass_item_base_html_a45bcceec0acd0ccdc9d6afd42d4e839a"><div class="ttname"><a href="../../de/d7a/class_item_base.html#a45bcceec0acd0ccdc9d6afd42d4e839a">ItemBase::SetActions</a></div><div class="ttdeci">override void SetActions()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00518">InventoryItem.c:518</a></div></div>
<div class="ttc" id="aclass_item_base_html_a81752d025fb86c6548b94c66f80a74ad"><div class="ttname"><a href="../../de/d7a/class_item_base.html#a81752d025fb86c6548b94c66f80a74ad">ItemBase::OnStoreSave</a></div><div class="ttdeci">override void OnStoreSave(ParamsWriteContext ctx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d86/_garden_base_8c_source.html#l00220">GardenBase.c:220</a></div></div>
<div class="ttc" id="aclass_item_base_html_ac305409027fa3bf997cd284f72994962"><div class="ttname"><a href="../../de/d7a/class_item_base.html#ac305409027fa3bf997cd284f72994962">ItemBase::IsTakeable</a></div><div class="ttdeci">override bool IsTakeable()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/ddd/_trap_spawn_base_8c_source.html#l00181">TrapSpawnBase.c:181</a></div></div>
<div class="ttc" id="aclass_item_base_html_af1d3f022a83188c964326389ce0d306e"><div class="ttname"><a href="../../de/d7a/class_item_base.html#af1d3f022a83188c964326389ce0d306e">ItemBase::m_Light</a></div><div class="ttdeci">FlashlightLight m_Light</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d66/_flashlight_8c_source.html#l00003">Flashlight.c:3</a></div></div>
<div class="ttc" id="aclass_object_html"><div class="ttname"><a href="../../d8/d83/class_object.html">Object</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/_object_typed_8c_source.html#l00001">ObjectTyped.c:2</a></div></div>
<div class="ttc" id="aclass_particle_html"><div class="ttname"><a href="../../de/d85/class_particle.html">Particle</a></div><div class="ttdoc">Legacy way of using particles in the game.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dfb/_particle_8c_source.html#l00006">Particle.c:7</a></div></div>
<div class="ttc" id="aclass_particle_html_ae9d5642dc992c942c1ae2f221e064921"><div class="ttname"><a href="../../de/d85/class_particle.html#ae9d5642dc992c942c1ae2f221e064921">Particle::Stop</a></div><div class="ttdeci">void Stop()</div><div class="ttdoc">Legacy function for backwards compatibility with 1.14 and below.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dfb/_particle_8c_source.html#l00266">Particle.c:266</a></div></div>
<div class="ttc" id="aclass_particle_list_html"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html">ParticleList</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00011">ParticleList.c:12</a></div></div>
<div class="ttc" id="aclass_particle_list_html_aae5be0673ab37de22de1890c98418d21"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html#aae5be0673ab37de22de1890c98418d21">ParticleList::INVALID</a></div><div class="ttdeci">static const int INVALID</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00020">ParticleList.c:20</a></div></div>
<div class="ttc" id="aclass_particle_source_html"><div class="ttname"><a href="../../de/d38/class_particle_source.html">ParticleSource</a></div><div class="ttdoc">Entity which has the particle instance as an ObjectComponent.</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d75/_particle_source_8c_source.html#l00123">ParticleSource.c:124</a></div></div>
<div class="ttc" id="aclass_point_light_base_html"><div class="ttname"><a href="../../d8/dbb/class_point_light_base.html">PointLightBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/da0/_bonfire_light_8c_source.html#l00001">BonfireLight.c:2</a></div></div>
<div class="ttc" id="aclass_scripted_light_base_html"><div class="ttname"><a href="../../dd/d33/class_scripted_light_base.html">ScriptedLightBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d26/_point_light_base_8c_source.html#l00001">PointLightBase.c:2</a></div></div>
<div class="ttc" id="aclass_serializer_html"><div class="ttname"><a href="../../d0/dc2/class_serializer.html">Serializer</a></div><div class="ttdoc">Serialization general interface. Serializer API works with:</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc7/_serializer_8c_source.html#l00055">Serializer.c:56</a></div></div>
<div class="ttc" id="aclass_serializer_html_a3568bd9439217225013ea9906eb09a3f"><div class="ttname"><a href="../../d0/dc2/class_serializer.html#a3568bd9439217225013ea9906eb09a3f">Serializer::Write</a></div><div class="ttdeci">proto bool Write(void value_out)</div></div>
<div class="ttc" id="aclass_serializer_html_a9a38a9c5322133ee30fe87a3a4c0659e"><div class="ttname"><a href="../../d0/dc2/class_serializer.html#a9a38a9c5322133ee30fe87a3a4c0659e">Serializer::Read</a></div><div class="ttdeci">proto bool Read(void value_in)</div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
<div class="ttc" id="aclassvector_html"><div class="ttname"><a href="../../d7/dfc/classvector.html">vector</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00098">EnConvert.c:99</a></div></div>
<div class="ttc" id="aclassvector_html_a6f6d5246e38b34f79fa2741a7e72d7e7"><div class="ttname"><a href="../../d7/dfc/classvector.html#a6f6d5246e38b34f79fa2741a7e72d7e7">vector::Zero</a></div><div class="ttdeci">static const vector Zero</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00103">EnConvert.c:103</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../d0/d0a/_explosives_base_8c.html">ExplosivesBase.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
